Subject: Re: [PATCH] netfilter: Add dependency on IPV6 for NF_TABLES_INET

From: Pablo Neira Ayuso <[email-masked]>
Date: Tue, 14 Jan 2014 16:34:54 +0100

On Tue, Jan 14, 2014 at 11:35:42AM +0000, Patrick McHardy wrote:
> Paul Gortmaker <[email-masked]> schrieb:
> >Commit 1d49144c0aaa61be4e3ccbef9cc5c40b0ec5f2fe ("netfilter: nf_tables:
> >add "inet" table for IPv4/IPv6") allows creation of non-IPV6 enabled
> >.config files that will fail to configure/link as follows:
> >
> >warning: (NF_TABLES_INET) selects NF_TABLES_IPV6 which has unmet direct
> >dependencies (NET && INET && IPV6 && NETFILTER && NF_TABLES)
> >warning: (NF_TABLES_INET) selects NF_TABLES_IPV6 which has unmet direct
> >dependencies (NET && INET && IPV6 && NETFILTER && NF_TABLES)
> >warning: (NF_TABLES_INET) selects NF_TABLES_IPV6 which has unmet direct
> >dependencies (NET && INET && IPV6 && NETFILTER && NF_TABLES)
> >net/built-in.o: In function `nft_reject_eval':
> >nft_reject.c:(.text+0x651e8): undefined reference to `nf_ip6_checksum'
> >nft_reject.c:(.text+0x65270): undefined reference to `ip6_route_output'
> >nft_reject.c:(.text+0x656c4): undefined reference to `ip6_dst_hoplimit'
> >make: *** [vmlinux] Error 1
> >
> >Since the feature is to allow for a mixed IPV4 and IPV6 table, it
> >seems sensible to make it depend on IPV6.
> 
> Acked-by: Patrick McHardy <[email-masked]>

Applied, thanks.

@Paul: Please, use netfilter-devel ML instead next time. The netfilter
ML is reserved for user questions only. Thanks.